Bug 1563521 - dependency for nitroshare will switch to python3
Summary: dependency for nitroshare will switch to python3
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: nitroshare
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1560724
TreeView+ depends on / blocked
 
Reported: 2018-04-04 05:32 UTC by Wolfgang Ulbrich
Modified: 2018-05-20 18:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-20 18:33:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2018-04-04 05:32:03 UTC
Description of problem:

Nextcloud-client depends on python-caja which will switch to python3 for f29.
There is is an open pull request at pagure.
https://src.fedoraproject.org/rpms/python-caja/pull-request/2
Please update your package to make that posible.

Also, i'd like to given up python-caja package due to a lack of time, and i don't use it for myself any more with f28.
Are you like to step in to maintain it?

Thank you.

Comment 1 Wolfgang Ulbrich 2018-04-04 05:36:49 UTC
errror...i meant of course ---


Description of problem:

Nitroshare depends on python-caja which will switch to python3 for f29.
There is is an open pull request at pagure.
https://src.fedoraproject.org/rpms/python-caja/pull-request/2
Please update your package to make that posible.

Also, i'd like to given up python-caja package due to a lack of time, and i don't use it for myself any more with f28.
Are you like to step in to maintain it?

Thank you.

Comment 2 Raphael Groner 2018-04-04 13:46:20 UTC
(In reply to Wolfgang Ulbrich from comment #1)
…
> Are you like to step in to maintain it?

Sure, why not. You could assign me the commit ACL in pagure.

Comment 3 Wolfgang Ulbrich 2018-04-11 07:57:20 UTC
Thanks and done,
i've added you as admin to python-caja.
Would be nice if you can handle this PR with all the consequents?
https://src.fedoraproject.org/rpms/python-caja/pull-request/2

Comment 4 Raphael Groner 2018-05-20 18:33:47 UTC
Sorry for the delay here.

I'll close this bug. Upstream has dropped the feature of any integration via python and so it seems to not be supported in any future version.
https://github.com/nitroshare/nitroshare-desktop/commit/15ac93596491f5e3fe4908ed0c82cfdef9071f12#diff-e0f9c7a638bde214735e162780f901e8


Note You need to log in before you can comment on or make changes to this bug.